aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorcon <qtc-committer@nokia.com>2010-11-25 13:11:08 +0100
committercon <qtc-committer@nokia.com>2010-11-25 13:11:43 +0100
commitbd8b23d4bad4191367e7c5eb3297769a2477afec (patch)
treeb41b5f5f24928cb3b3e8c64c280afdad2ba68be2 /scripts
parent746b1fa8791297dc491f9a410f487ff935883b89 (diff)
Make src packaging script more flexible.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/createSrcAndDocPackage.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/scripts/createSrcAndDocPackage.sh b/scripts/createSrcAndDocPackage.sh
index 66d8de2b18..eb2b946e58 100755
--- a/scripts/createSrcAndDocPackage.sh
+++ b/scripts/createSrcAndDocPackage.sh
@@ -4,12 +4,12 @@
if [[ $# != 2 ]]; then
cat <<USAGE
usage:
- $0 <branch> <version>
+ $0 <refspec> <version>
- Creates tar and zip source package from origin/<branch> and documentation-zip from current checkout.
+ Creates tar and zip source package from <refspec> and documentation-zip from current checkout.
Files and directories are named after <version>.
example:
- $0 2.0.0 2.0.0-rc1
+ $0 origin/2.0.0 2.0.0-rc1
USAGE
exit 1
fi
@@ -18,9 +18,9 @@ BRANCH=$1
VERSION=$2
cd `dirname $0`/..
echo "Creating tar archive..."
-git archive --format=tar --prefix=qt-creator-${VERSION}-src/ origin/${BRANCH} | gzip > qt-creator-${VERSION}-src.tar.gz || exit 1
+git archive --format=tar --prefix=qt-creator-${VERSION}-src/ ${BRANCH} | gzip > qt-creator-${VERSION}-src.tar.gz || exit 1
echo "Creating zip archive..."
-git archive --format=zip --prefix=qt-creator-${VERSION}-src/ origin/${BRANCH} > qt-creator-${VERSION}-src.zip || exit 1
+git archive --format=zip --prefix=qt-creator-${VERSION}-src/ ${BRANCH} > qt-creator-${VERSION}-src.zip || exit 1
echo "Creating documentation..."
rm -r doc/html
qmake -r && make docs_online || exit 1